diff --git a/staticd/static_main.c b/staticd/static_main.c
index bc501b3d6947..0d0de7e8d317 100644
--- a/staticd/static_main.c
+++ b/staticd/static_main.c
@@ -64,6 +64,9 @@ static void sigint(void)
 {
 	zlog_notice("Terminating on signal");
 
+	/* Disable BFD events to avoid wasting processing. */
+	bfd_protocol_integration_set_shutdown(true);
+
 	static_vrf_terminate();
 
 	static_zebra_stop();
